﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.5
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private dd As DDD
	
	Private NavBar1 As NavBar
	Public Page3 As B4XPage3
	Public Page4 As B4XPage4
	Private ImageView1 As ImageView
	
#if B4I
	Private xpnl_bottom As B4XView
#end if
End Sub

Public Sub Initialize As Object
	Return Me
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1	
	dd.Initialize
	Root.LoadLayout("Page2")
	NavBar1.Initialize(Root)

#if B4I
	xpnl_bottom = xui.CreatePanel("")
	Root.AddView(xpnl_bottom,0,0,0,0)
	xpnl_bottom.Color = 0xFF0006FF
#else if B4A or B4J
	LoadScreen
#end if
End Sub

Private Sub LoadScreen
#if B4I
	ImageView1.ContentMode = ImageView1.MODE_FIT
#else if B4a
	ImageView1.Gravity = Gravity.FILL
#end if
	
End Sub

Private Sub B4XPage_Resize (Width As Int, Height As Int)
#if B4I
	Dim r As Rect = B4XPages.GetNativeParent(Me).SafeAreaInsets
	Root.SetLayoutAnimated(0, r.Left, r.Top, Width - r.Right - r.Left, Height - r.Bottom - r.Top)
	If r.Bottom > 0 Then  'First time for an orientation
		xpnl_bottom.SetLayoutAnimated(0,0,Height - r.Bottom, Width, r.Bottom)
	Else
		LoadScreen
	End If
#end if
End Sub

Private Sub btnLogout_Click
	B4XPages.ShowPageAndRemovePreviousPages("MainPage")
End Sub
